/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { QuotaDto } from './quota-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ResourceQuotaDto } from './resource-quota-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ResourceTypeMinimalDto } from './resource-type-minimal-dto';

/**
 * Represents a data transfer object (DTO) containing quota information for a project.
 * @export
 * @interface ProjectQuotaDto
 */
export interface ProjectQuotaDto {
    /**
     * Identifier of the project.
     * @type {string}
     * @memberof ProjectQuotaDto
     */
    'projectId'?: string;
    /**
     * 
     * @type {QuotaDto}
     * @memberof ProjectQuotaDto
     */
    'totalUsed'?: QuotaDto;
    /**
     * 
     * @type {QuotaDto}
     * @memberof ProjectQuotaDto
     */
    'totalReserved'?: QuotaDto;
    /**
     * 
     * @type {QuotaDto}
     * @memberof ProjectQuotaDto
     */
    'allocated'?: QuotaDto;
    /**
     * 
     * @type {QuotaDto}
     * @memberof ProjectQuotaDto
     */
    'maximum'?: QuotaDto;
    /**
     * 
     * @type {ResourceTypeMinimalDto}
     * @memberof ProjectQuotaDto
     */
    'resourceType'?: ResourceTypeMinimalDto;
    /**
     * Quota information for individual resources of the selected project\'s resource type.
     * @type {Array<ResourceQuotaDto>}
     * @memberof ProjectQuotaDto
     */
    'resourceQuotas'?: Array<ResourceQuotaDto> | null;
}

